Eclipse Platform Release 3.7

## org.eclipse.debug.ui
Class StringVariableSelectionDialog.VariableFilter

    java.lang.Object
      org.eclipse.debug.ui.StringVariableSelectionDialog.VariableFilter

Enclosing class:
  StringVariableSelectionDialog

    public static class StringVariableSelectionDialog.VariableFilter

extends Object

Base class for custom variable filters. Clients may extend this class to filter specific dynamic variables from the selection dialog.

Since:
  3.6

Constructor Summary
`StringVariableSelectionDialog.VariableFilter()`

Method Summary
`boolean` `isFiltered(IDynamicVariable var)` Returns whether the given variable should be filtered.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### StringVariableSelectionDialog.VariableFilter

    public StringVariableSelectionDialog.VariableFilter()

Method Detail

### isFiltered

    public boolean isFiltered(IDynamicVariable var)

  Returns whether the given variable should be filtered.

  Parameters:
    `var` - variable to be consider
  Returns:
    `true` to filter the variable, otherwise `false`

Eclipse Platform Release 3.7

Guidelines for using Eclipse APIs.

Copyright (c) Eclipse contributors and others 2000, 2011. All rights reserved.